Subject: Re: [PATCH] NET: Add TCP connection abort IOCTL

From: Stephen Hemminger <[email-masked]>
Date: Fri, 30 Mar 2007 11:33:32 -0700

Predrag Hodoba wrote:
> On 30/03/07, Stephen Hemminger <[email-masked]> wrote:
>> David Miller wrote:
>> >
>> > Something being in the CGL specification is to me exactly a great
>> > reason NOT to add it.  That specification is so full of garbage it's
>> > unbelievable.
>> >
>> > Thanks, you've given me one more reason not to even remotely consider
>> > adding this feature.
>> >
>> Agreed, CGL is a vendor driven group that has always wanted to replicate
>> proprietary misfeatures onto Linux.  There is a real requirement to
>> provide high availability but there should be no requirement to 
>> implement
>> the solution in the same crap way as legacy Unix.
>
> OK, let's put aside CGL and legacy Unices.
>
> Still, I don't see how the case I mentioned can easily be handled.
> (The case being - effective clean up of all affected client TCP
> connections, following failover of the server IP address from active
> to passive node in a highly available cluster).
Why clean them up? The client connections will timeout and they can
reconnect. Actively killing them early does nothing helpful. Just like
the CGL requirement for forced unmount, the forced operation introduces
a whole bunch of race conditions and shared file descriptor problems.